Bug 1393840 - python-webpy: Provide a Python 3 subpackage
Summary: python-webpy: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-webpy
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2016-11-10 12:43 UTC by Iryna Shcherbina
Modified: 2017-10-16 12:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-16 12:39:19 UTC
Type: Bug


Attachments (Terms of Use)
New version 0.40.dev0 including Python 3 subpackage (4.85 KB, patch)
2016-11-12 10:15 UTC, Jan Beran
no flags Details | Diff
Patch for specfile - latest git (4.38 KB, patch)
2017-08-09 12:33 UTC, Lumír Balhar
no flags Details | Diff

Description Iryna Shcherbina 2016-11-10 12:43:32 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Jan Beran 2016-11-12 10:15:19 UTC
Created attachment 1219960 [details]
New version 0.40.dev0 including Python 3 subpackage

Hi Matthias, may I ask you to review the patch?
Thank you.

Comment 2 Matthias Runge 2016-11-14 08:07:52 UTC
version 0.40.dev seems to have some issues esp. around python3. Latest released version on github is 0.38.

Otherwise the patch looks ok to me.

Comment 3 Jan Beran 2016-11-14 14:04:45 UTC
As I can see an RMP build error in 0.38 related to Python 3.5 (maybe because of distutils that was replaced by setuptools in ver. 0.40dev0), I would suggest to wait for a stable new release.

Comment 4 Fedora End Of Life 2017-02-28 10:35:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Lumír Balhar 2017-08-09 12:33:20 UTC
Created attachment 1311183 [details]
Patch for specfile - latest git

Hello.

New specfile from Jan looks good to me. I've improved it a little bit.

AFAIK web.py still has no maintainer so I am not sure whether is it reasonable to wait for next release or we can update package to the latest version in the master branch.

I've tried build and test package with source code from the current master branch and everything looks good to me. Please, take a look at scratch build [0] and let me know, what do you think.

If you agree, we can push this change.

[0] https://koji.fedoraproject.org/koji/taskinfo?taskID=21126572

Comment 6 Matthias Runge 2017-10-16 12:39:19 UTC
Thank you for the patch.

Unfortunately, it did not apply cleanly, I had to cherry-pick.

The change has been pushed and builds triggered.


Note You need to log in before you can comment on or make changes to this bug.